<!doctype html>
<html lang="ja">
<head>
    <meta charset="utf-8">
    <link href="style.css" rel="stylesheet" />
    <script src="webprint.js"></script>
    <title>Webブラウザ上で動的に印刷処理を行うサンプルプログラム</title>
</head>
<body>
    <form>
        <div class="print_pages">
            <div class="no_print">
                <!-- ブラウザにのみ表示する部分 -->
                <!-- 印刷時に非表示にするため、<div class="no_print">で囲む -->
                <input type="button" value="印刷のサンプル" onclick="dataPrint();">
            </div>
            <div class="print_only">
            <!-- 印刷時のみ表示する部分 -->
                <div id="data_print">
                    <!-- dataPrint()で表示・非表示を切り替えるため、<div id="data_print">で囲む -->

                    <p>コード:0001</p>
                    <table border="1" style="border-collapse: collapse;">
                        <tr>
                            <td>名前</td>
                            <td>性別</td>
                            <td>年齢</td>
                        </tr>

                        <tr>
                            <td>A山 太郎</td>
                            <td>男</td>
                            <td>40</td>
                        </tr>
                        <tr>
                            <td>B川 花子</td>
                            <td>女</td>
                            <td>30</td>
                        </tr>
                        <tr>
                            <td>C田 一郎</td>
                            <td>男</td>
                            <td>20</td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
    </form>
</body>
</html>